Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCellDataToPointData Class Reference

`#include <vtkCellDataToPointData.h>`

Inheritance diagram for vtkCellDataToPointData:

[legend]
Collaboration diagram for vtkCellDataToPointData:

[legend]
List of all members.

## Detailed Description

map cell data to point data

Date:
  2002/01/22 15:29:10

Revision:
  1.17

vtkCellDataToPointData is a filter that transforms cell data (i.e., data specified per cell) into point data (i.e., data specified at cell points). The method of transformation is based on averaging the data values of all cells using a particular point. Optionally, the input cell data can be passed through to the output as well.

Warning:
  This filter is an abstract filter, that is, the output is an abstract type (i.e., vtkDataSet). Use the convenience methods (e.g., vtkGetPolyDataOutput(), GetStructuredPointsOutput(), etc.) to get the type of output you want.

See also:
  vtkDataSetToDataSetFilter vtkPointData vtkCellData vtkPointDataToCellData

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (73%)
  - Law, Charles (5%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkCellDataToPointData.cxx)`
  - .`h` (`/Graphics/vtkCellDataToPointData.h)`

Tests:
  vtkCellDataToPointData (Tests)

Definition at line 58 of file vtkCellDataToPointData.h.

## Public Types
typedef vtkDataSetToDataSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetPassCellData (int)
virtual int | GetPassCellData ()
virtual void | PassCellDataOn ()
virtual void | PassCellDataOff ()
## Static Public Methods
vtkCellDataToPointData * | New ()
int | IsTypeOf (const char *type)
vtkCellDataToPointData * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkCellDataToPointData ()
| ~vtkCellDataToPointData ()
void | Execute ()
## Protected Attributes
int | PassCellData

## Member Typedef Documentation

typedef vtkDataSetToDataSetFilter vtkCellDataToPointData::Superclass

| Reimplemented from vtkDataSetToDataSetFilter. Reimplemented in vtkPCellDataToPointData. Definition at line 62 of file vtkCellDataToPointData.h.

## Constructor & Destructor Documentation

vtkCellDataToPointData::vtkCellDataToPointData | ( |  | ) | `[protected]`

vtkCellDataToPointData::~vtkCellDataToPointData | ( |  | ) | `[inline, protected]`

| Definition at line 76 of file vtkCellDataToPointData.h.

## Member Function Documentation

vtkCellDataToPointData* vtkCellDataToPointData::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject. Reimplemented in vtkPCellDataToPointData.

virtual const char* vtkCellDataToPointData::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataSetFilter. Reimplemented in vtkPCellDataToPointData.

int vtkCellDataToPointData::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter. Reimplemented in vtkPCellDataToPointData.

virtual int vtkCellDataToPointData::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter. Reimplemented in vtkPCellDataToPointData.

vtkCellDataToPointData* vtkCellDataToPointData::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataSetFilter. Reimplemented in vtkPCellDataToPointData.

void vtkCellDataToPointData::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataSetFilter. Reimplemented in vtkPCellDataToPointData.

virtual void vtkCellDataToPointData::SetPassCellData | ( | int |  | ) | `[virtual]`

| Control whether the input cell data is to be passed to the output. If on, then the input cell data is passed through to the output; otherwise, only generated point data is placed into the output.

virtual int vtkCellDataToPointData::GetPassCellData | ( |  | ) | `[virtual]`

| Control whether the input cell data is to be passed to the output. If on, then the input cell data is passed through to the output; otherwise, only generated point data is placed into the output.

virtual void vtkCellDataToPointData::PassCellDataOn | ( |  | ) | `[virtual]`

| Control whether the input cell data is to be passed to the output. If on, then the input cell data is passed through to the output; otherwise, only generated point data is placed into the output.

virtual void vtkCellDataToPointData::PassCellDataOff | ( |  | ) | `[virtual]`

| Control whether the input cell data is to be passed to the output. If on, then the input cell data is passed through to the output; otherwise, only generated point data is placed into the output.

void vtkCellDataToPointData::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource. Reimplemented in vtkPCellDataToPointData.

## Member Data Documentation

int vtkCellDataToPointData::PassCellData`[protected]`

| Definition at line 80 of file vtkCellDataToPointData.h.

The documentation for this class was generated from the following file:

- Graphics/vtkCellDataToPointData.h